
CoCoALib - Feature #157

Separate ThreadsafeCounter from symbol.C

10 May 2012 16:40 - John Abbott

Status: Closed Start date: 10 May 2012

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Tidying Estimated time: 4.00 hours

Target version: CoCoALib-0.9951 Spent time: 3.10 hours

Description

The ThreadsafeCounter recently added to symbol.C will be useful elsewhere (e.g. in rings for the ring counter).  Separate the impl

from symbol.C, and add doc, tests, examples.

Related issues:

Related to CoCoALib - Feature #156: Brand new symbol(s) Closed 07 May 2012

Related to CoCoALib - Feature #142: Improve threadsafety In Progress 30 Apr 2012

History

#1 - 10 May 2012 18:16 - John Abbott

Consider making a BOOST-free (and possibly non-threadsafe) version so that CoCoALib can be compiled without requiring BOOST (which is

v.large).

#2 - 28 May 2012 16:25 - John Abbott

- Category set to Tidying

- Assignee set to John Abbott

- Target version set to CoCoALib-0.9951

JAA is not sure how to test the threadsafe counter since we don't know how to compile and run multithreaded programs.  Anyway the code cam from

BOOST, sou it ought to be pretty solid!

I'll try to get this into 0.9951, so that that version has visibly improved threadsafety.

#3 - 29 May 2012 16:16 - John Abbott

- Status changed from New to Closed

- % Done changed from 0 to 100

Separated ThreadsafeCounter; written documentation.

Used ThreadsafeCounter inside NewRingID in ring.C.

All tests pass.

#4 - 18 Jun 2012 11:31 - Anna Maria Bigatti

Does this mean that users are now forced to have boost, or we can have a non-threadsafe version without boost?

#5 - 18 Jun 2012 16:11 - John Abbott

Yes, in its current form it requires BOOST.

I can add some #ifdef directive to make it compile without BOOST (and without being threadsafe)...  if you really think it is necessary!
